#!/usr/bin/env bash
{
if [[ `hostname` = *"controller"* ]]; then
    if [[ $(grep WSGIApplicationGroup /etc/httpd/conf.d/10-horizon_vhost.conf) ]]; then
        echo "Good";
    else
        sed -i '/WSGIDaemonProcess/ i WSGIApplicationGroup %{GLOBAL}' /etc/httpd/conf.d/10-horizon_vhost.conf;
        systemctl restart httpd;
    fi
    if [[ $(grep "automated_clean = false" /etc/ironic/ironic.conf) ]]; then
        echo "Good";
    else
        if [[ $(grep "#automated_clean = true" /etc/ironic/ironic.conf) ]]; then
            sed -i 's/#automated_clean = true/automated_clean = false/g' /etc/ironic/ironic.conf
        else
            sed -i '/\[conductor\]/ a automated_clean = false' /etc/ironic/ironic.conf
        fi
    fi
    if [[ $(grep "cleaning_network = baremetal" /etc/ironic/ironic.conf) ]]; then
        echo "Good";
    else
        if [[ $(grep cleaning_network /etc/ironic/ironic.conf) ]]; then
            sed -i 's/^cleaning_network.*/cleaning_network = baremetal/g' /etc/ironic/ironic.conf
        else
            sed -i '/\[neutron\]/ a cleaning_network = baremetal' /etc/ironic/ironic.conf
        fi
    fi
    if [[ $(grep "deploy_callback_timeout = 3600" /etc/ironic/ironic.conf) ]]; then
        echo "Good";
    else
        if [[ $(grep "#deploy_callback_timeout" /etc/ironic/ironic.conf) ]];then
            sed -i 's/#deploy_callback_timeout.*/deploy_callback_timeout = 3600/' /etc/ironic/ironic.conf
        else
            sed -i '/\[conductor\]/ a deploy_callback_timeout = 3600' /etc/ironic/ironic.conf
        fi
    fi
    if [[ $(grep "max_json_body_size = 2097152" /etc/heat/heat.conf) ]]; then
        echo "Good";
    else
        if [[ $(grep "^#max_json_body_size" /etc/heat/heat.conf) ]]; then
            sed -i 's/#max_json_body_size = 1048576/max_json_body_size = 2097152/g' /etc/heat/heat.conf
        else
            sed -i '/\[DEFAULT\]/ a max_json_body_size = 2097152' /etc/heat/heat.conf
        fi
        systemctl restart openstack-heat*
    fi
    systemctl restart openstack-ironic*
fi
}  2>&1 > /root/post_deploy_heat_output.txt
